<section class="hero_banner {% if section.settings.container_width == 'fluid' %}container{% endif %}">
  {% if section.blocks != blank %}
    {% for block in section.blocks %}
      <div>
        <picture>
          <source media="(min-width: 320px)" data-srcset="{{ block.settings.mobile_banner_bg_img | img_url: '550x' }}"/>
          <img src="{{ block.settings.banner_bg_img | img_url: '1600x' }}" alt="Banner Image">
        </picture>
        <div class="hero_banner_container">
          <div class="hero_banner-content float-left {% if block.settings.text_color == 'white' %}txt-col-white{% elsif block.settings.text_color == 'primary' %}txt-col-primary{% endif %}">
            <h1>{{ block.settings.banner_title }}</h1>
            <div class="section_subtitle">{{ block.settings.banner_description }}</div>
            {% if block.settings.button_link != balnk %}
              <a href="{{ block.settings.button_link }}" class="{% if block.settings.text_color == 'white' %}btn btn_primary_light{% elsif block.settings.text_color == 'primary' %}btn btn_primary_primary {% else %}btn_solid btn{% endif %}">{{ block.settings.button_text }}</a>
            {% endif %}
          </div>
        </div>
      </div>
    {% endfor %}
  {% else %}
    <div>
      <picture>
        <source media="(min-width: 320px)" data-srcset="{{ section.settings.mobile_banner_bg_img | img_url: '550x' }}"/>
        <img src="{{ section.settings.banner_bg_img | img_url: '1600x' }}" alt="Banner Image">
      </picture>
      <div class="hero_banner_container">
        <div class="hero_banner-content {% if section.settings.info_floating == 'left' %}float-left{% elsif section.settings.info_floating == 'right' %}float-right{% endif %} {% if section.settings.text_color == 'white' %}txt-col-white{% elsif section.settings.text_color == 'primary' %}txt-col-primary{% endif %}">
          <h1>{{ section.settings.banner_title }}</h1>
          <div class="section_subtitle">{{ section.settings.banner_description }}</div>
          {% if section.settings.button_link != balnk %}
            <a href="{{ section.settings.button_link }}" class="{% if section.settings.text_color == 'white' %}btn btn_primary_light{% elsif section.settings.text_color == 'primary' %}btn btn_primary_primary {% else %}btn_solid btn{% endif %}">{{ section.settings.button_text }}</a>
          {% endif %}
        </div>
      </div>
    </div>
  {% endif %}

</section>




{% schema %}
{
  "name": "Hero Banner",
  "class": "section-hero-banner",
  "tag": "section",
  "blocks": [
    {
      "name": "Slide",
      "type": "slide",
      "settings": [
        {
          "type": "image_picker",
          "id": "banner_bg_img",
          "label": "Background Image"
        },
        {
          "type": "image_picker",
          "id": "mobile_banner_bg_img",
          "label": "Mobile Background Image"
        },
        {
          "type": "text",
          "id": "banner_title",
          "label": "Hero Title"
        },
        {
          "type": "html",
          "id": "banner_description",
          "label": "Banner Description"
        },
        {
          "type": "select",
          "id": "text_color",
          "label": "Text Color",
          "options": [
            {
              "value": "white",
              "label": "White"
            },
            {
              "value": "primary",
              "label": "Primary"
            }
          ],
          "default": "white"
        },
        {
          "type": "text",
          "id": "button_text",
          "label": "Button text"
        },
        {
          "type": "url",
          "id": "button_link",
          "label": "Button link"
        }
      ]
      }
    ],
  "settings": [
    {
      "type": "select",
      "id": "container_width",
      "label": "Container Width",
      "options": [
        {
          "value": "full",
          "label": "Full"
        },
        {
          "value": "fluid",
          "label": "Fluid"
        }
      ],
      "default": "full"
    },
    {
      "type": "select",
      "id": "info_floating",
      "label": "Info Floating",
      "options": [
        {
          "value": "left",
          "label": "Left"
        },
        {
          "value": "right",
          "label": "Right"
        }
      ],
      "default": "left"
    },
    {
      "type": "image_picker",
      "id": "banner_bg_img",
      "label": "Background Image"
    },
    {
      "type": "image_picker",
      "id": "mobile_banner_bg_img",
      "label": "Mobile Background Image"
    },
    {
      "type": "text",
      "id": "banner_title",
      "label": "Hero Title"
    },
    {
      "type": "select",
      "id": "text_color",
      "label": "Text Color",
      "options": [
        {
          "value": "white",
          "label": "White"
        },
        {
          "value": "primary",
          "label": "Primary"
        }
      ],
      "default": "white"
    },
    {
      "type": "html",
      "id": "banner_description",
      "label": "Banner Description"
    },
    {
      "type": "text",
      "id": "button_text",
      "label": "Button text"
    },
    {
      "type": "url",
      "id": "button_link",
      "label": "Button link"
    }
  ],
  "presets": [
    {
      "name": "Hero Banner",
      "category": "JSON Pages"
    }
  ]
}
{% endschema %}